com.r3corda.contracts / CommercialPaper / Clauses / Issue

# Issue

`class Issue : AbstractIssue<State, Commands, Terms>`

### Constructors

<init> | `Issue()`

### Properties

requiredCommands | `val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Inherited Properties

sum | `val sum: List<S>.() -> Amount<Issued<T>>`
sumOrZero | `val sumOrZero: List<S>.(Issued<T>) -> Amount<Issued<T>>`

### Functions

verify | `fun verify(tx: TransactionForContract, inputs: List<State>, outputs: List<State>, commands: List<AuthenticatedObject<Commands>>, groupingKey: Issued<Terms>?): Set<Commands>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.